> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/engineering/api-documentation/admin-services/country-list.md).

# Country List

| **API URL**     | {{url}}/admin-service/country/list |
| --------------- | ---------------------------------- |
| **Method**      | POST                               |
| **Description** | List all countries to the login.   |

#### **Sample Input** <a href="#countrylist-v2-sampleinput" id="countrylist-v2-sampleinput"></a>

| **Field Name**         | **Type** | **Mandorty** | **Comments**                                                                                                                            |
| ---------------------- | -------- | ------------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| searchTerm             | String   | Yes          | SearchTerm to fetch filter data                                                                                                         |
| skip                   | String   | Yes          | Skip to limit data                                                                                                                      |
| limit                  | Integer  | Yes          | Limit to fetching data                                                                                                                  |
| Authorization (Header) | String   | Yes          | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes          | web                                                                                                                                     |

```
{
  searchTerm: "",
  skip: "",
  limit: 10
}
```

#### **Sample Output** <a href="#countrylist-v2-sampleoutput" id="countrylist-v2-sampleoutput"></a>

| **Field Name**      | **Type** | **Comments**                |
| ------------------- | -------- | --------------------------- |
| message             | String   | Got Country                 |
| name                | String   | Country Name                |
| districtCount       | Integer  | District Count              |
| chiefdomCount       | Integer  | Chiefdom Count              |
| healthFacilityCount | Integer  | HealthFacility Count        |
| appTypes            | String   | COMMUNITY or NON\_COMMUNITY |
| tenantId            | Integer  | Tenant Id                   |

```
{
    "message": "Got Country.",
    "entity": null,
    "status": true,
    "entityList": [
        {
            "id": 4,
            "name": "Kenya",
            "districtCount": 19,
            "chiefdomCount": 28,
            "healthFacilityCount": 32,
            "appTypes": [
                "NON_COMMUNITY"
            ],
            "tenantId": 13
        },
        {
            "id": 7,
            "name": "Tanzania",
            "districtCount": 7,
            "chiefdomCount": 6,
            "healthFacilityCount": 7,
            "appTypes": [
                "NON_COMMUNITY"
            ],
            "tenantId": 148
        },
        {
            "id": 1,
            "name": "Sierra Leone",
            "districtCount": 516,
            "chiefdomCount": 590,
            "healthFacilityCount": 297,
            "appTypes": [
                "COMMUNITY"
            ],
            "tenantId": 11
        }
    ],
    "responseCode": 200,
    "totalCount": 3
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/admin-services/country-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
